
Pre-Development - Feature #19428

FE - React - create share folder as library to share across the project for cccore-shared.js

12 January 2024 12:36 PM - chok yee fan

Status: Closed Start date: 12 January 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

R&D create as library for folder share, allow to use in another child(e.g. cc-auth, cc-topnavbar) to use instead of copy the source

code over

History

#1 - 26 January 2024 10:58 AM - chok yee fan

- Subject changed from FE - React - create share folder as library to share across the project to FE - React - create share folder as library to share

across the project for cccore-shared.js

- Assignee changed from chok yee fan to Amirul Umar Pandai

if all module able to share this cccore-shared.js then is fine. The class name remain as cccore-shared.js

if have problem, need create another share js like ccauth-shared.js, to share cross the project, except cccore.

- name the class name as ccore-prop-shared.js

#2 - 31 January 2024 07:01 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

As discussed in previous meeting, cccore-shared will be library that dev needs to install from local mleb-core folder. After pulling latest code, dev

needs to edit package.json value for each microfrontend to point to /mleb-core/cccore_shared folder, and then npm/yarn install afterwards

Change cccore-shared git repo link to filepath

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/b821352b1e94fd6a26e6d394fecac0174f4783f0

#3 - 02 February 2024 12:01 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

-Already pull the latest code for cc_iam and cc_code then npm install. the code run smoothly.

-Check the package.json

#4 - 05 February 2024 11:21 AM - chok yee fan

- File Screenshot 2024-02-05 at 11.19.46 AM.png added

- Status changed from Resolved to New

- Assignee changed from chok yee fan to Amirul Umar Pandai
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/b821352b1e94fd6a26e6d394fecac0174f4783f0


R&D versioning of the folder.

Or have other ways can recommend as well

#5 - 05 February 2024 05:29 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

MLEB Core:

Feature #19428 - create versioning for cccore_shared

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/a2782577f8521c7bd1161def5729a26df9cd1718

MLEB IAM:

Feature #19428 - apply versioning for cccore_shared

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/9d3522c702fb375a2090e33bce30aedebdf24b7f

#6 - 06 February 2024 11:05 AM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

-Done checking for package.json and yarn.lock for cc_auth, cc_core, cc_topnecbar and also the path

-The cccore_shared has been apply at package.json in cc_iam

#7 - 07 February 2024 10:33 AM - chok yee fan

- Status changed from Feedback to Closed

working as expected

Files
